
QGIS Application - Bug report #21560

Multipatch features are not shown anymore

2019-03-12 02:35 AM - Yaniv yaniv

Status: Open

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:3.6.0 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29376

Description

While with Qgis 2.8 the attached multipatch layer’s geometry is recognized as Polygon and the layer can be seen, the layer cannot be

seen with v3.6 (unknown geometry).

Thanks.

History

#1 - 2019-03-12 11:16 AM - Giovanni Manghi

- Subject changed from Multipatch features of this shapefile cannot be seen QGIS v3.6 (unknown geometry). This is a regression from v2.8 to Multipatch 

features of this shapefile cannot be seen QGIS v3.6 (unknown geometry)

- Status changed from Open to Feedback

- Assignee deleted (Yaniv yaniv)

How this shapefile was created? Is this is really a QGIS problem or more a GDAL/OGR one?

#2 - 2019-03-13 11:09 PM - Yaniv yaniv

- Assignee set to Giovanni Manghi

I'm not sure about how this shapefile was created (a client's file), but after import > export with ArcMap 10.3.1, the layer still cannot be seen.

#3 - 2019-03-13 11:13 PM - Yaniv yaniv

According to GDAL team (https://github.com/OSGeo/gdal/issues/1363  closed issue on their side):

This is something that should be fixed in QGIS. GDAL several versions ago has started reported multipatch as TIN or GEOMETRYCOLLECTION of TIN,

instead of the improper MULTIPOLYGON as it did before. QGIS should be upgraded to handle those new geometry types.

For example ogrinfo reports

GEOMETRYCOLLECTION Z (TIN Z (((36587034.5560299 3793637.11402507 298.450988769531,36587034.5560299 3793637.11402507

251.322998046875,36586985.6698492 3793626.85509158 291.41000366211,36587034.5560299 3793637.11402507

298.450988769531)),((36587034.5560299 3793637.11402507 251.322998046875,36586985.6698492 3793626.85509158

291.41000366211,36586985.6698492 3793626.85509158 243.074996948242,36587034.5560299 3793637.11402507

251.322998046875))),TIN Z (((36586985.6698492 3793626.85509158 291.41000366211,36586985.6698492 3793626.85509158

243.074996948242,36587006.4961656 3793675.55801473 294.063995361328,36586985.6698492 3793626.85509158

291.41000366211)),((36586985.6698492 3793626.85509158 243.074996948242,36587006.4961656 3793675.55801473

294.063995361328,36587006.4961656 3793675.55801473 245.207000732422,36586985.6698492 3793626.85509158

2025-04-26 1/2

https://github.com/OSGeo/gdal/issues/1363


243.074996948242))),TIN Z (((36587006.4961656 3793675.55801473 294.063995361328,36587006.4961656 3793675.55801473

245.207000732422,36587034.5560299 3793637.11402507 298.450988769531,36587006.4961656 3793675.55801473

294.063995361328)),((36587006.4961656 3793675.55801473 245.207000732422,36587034.5560299 3793637.11402507

298.450988769531,36587034.5560299 3793637.11402507 251.322998046875,36587006.4961656 3793675.55801473

245.207000732422))),TIN Z (((36587034.5560299 3793637.11402507 298.450988769531,36586985.6698492 3793626.85509158

291.41000366211,36587006.4961656 3793675.55801473 294.063995361328,36587034.5560299 3793637.11402507

298.450988769531))),TIN Z (((36587006.4961656 3793675.55801473 245.207000732422,36586985.6698492 3793626.85509158

243.074996948242,36587034.5560299 3793637.11402507 251.322998046875,36587006.4961656 3793675.55801473 245.207000732422))))

#4 - 2019-03-14 12:51 PM - Giovanni Manghi

- Operating System deleted (Windows 10)

- Subject changed from Multipatch features of this shapefile cannot be seen QGIS v3.6 (unknown geometry) to Multipatch features are not shown 

anymore

- Category changed from Geometry to Vectors

- Status changed from Feedback to Open

- Assignee deleted (Giovanni Manghi)

Files

model.zip 605 KB 2019-03-12 Yaniv yaniv
